using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication1.ActionFilers;

namespace WebApplication1.Controllers {
  public class ExempleFiltreActionController : Controller {
    [OutputCache( Duration = 600, Location = System.Web.UI.OutputCacheLocation.Server )]
    [HorairesDAcces( "11:48", "22:50" )]
    public ActionResult Index( int? a, int? b ) {
      ViewBag.A = a;
      ViewBag.B = b;
      return View( (a ?? 0) + (b ?? 0) );
    }
  }
}